ChangeSet 1.1292, 2003/06/04 17:41:24-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/ppc64/kernel/iSeries_pci.c


 arch/ppc64/kernel/iSeries_pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/ppc64/kernel/iSeries_pci.c b/arch/ppc64/kernel/iSeries_pci.c
--- a/arch/ppc64/kernel/iSeries_pci.c	Wed Jun  4 18:07:10 2003
+++ b/arch/ppc64/kernel/iSeries_pci.c	Wed Jun  4 18:07:10 2003
@@ -304,7 +304,7 @@
  ***********************************************************************/
 void __init pcibios_final_fixup(void)
 {
-	struct pci_dev* PciDev;
+	struct pci_dev* PciDev = NULL;
 	struct iSeries_Device_Node* DeviceNode;
 	char   Buffer[256];
     	int    DeviceCount = 0;
@@ -315,7 +315,7 @@
 	/******************************************************/
 	mf_displaySrc(0xC9000100);
 
-	pci_for_each_dev(PciDev) {
+	while ((PciDev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, PciDev)) != NULL) {
 		DeviceNode = find_Device_Node(PciDev);
 		if(DeviceNode != NULL) {
 			++DeviceCount;
